#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
#include "stars.inc"
#include "metals.inc"
global_settings { ambient_light rgb <0.19, 0.19, 0.20> }
// #include "Koordsys.pov"

// *******************************************************************************
// Himmel
   sphere { <0.0, 10.0, -20.0>, 1000
           texture { Starfield1 scale 800 }     }
  // Grundflche
  plane {  y, -20.0  
     texture {
        pigment { Blue_Agate  scale 20.0 }
        finish { ambient 1.0    brilliance 3    diffuse 0.4    metallic
              specular 0.80    roughness 1/20    phong 0.35   reflection 0.41  } } }
// *******************************************************************************
// Kleinsche Flasche
declare Klein_Brass =  texture {
  pigment { color rgb <0.70, 0.59, 0.38> }
  finish { ambient 1.0  diffuse 1.0  brilliance 15  phong 0.41  phong_size 5
           reflection 0.28}  }
object { #include "klein.inc"
rotate <0, 5, 0>  rotate <79.5, 0, 0>   rotate <0, -18, 0>
scale 6.7
translate <-40, -0.1, 120 >
// texture { New_Brass }
texture {  Klein_Brass  normal { waves 0 frequency 2 scale 0.01 } }
}
//   Object    CenterX    CenterY    CenterZ    LengthX    LengthY    LengthZ
// ---------- ---------- ---------- ---------- ---------- ---------- ----------
//   Klein      0.25       0.10      -0.18       9.61      15.20       5.05
// *******************************************************************************
// "Deformierte" Kleinsche Flasche (rechts)
// object { #include "klein2.inc"
// texture { pigment { rgb <1.000, 1.000, 1.000> } }
// translate <5, -10, 10 >
// }
//   Object    CenterX    CenterY    CenterZ    LengthX    LengthY    LengthZ
// ---------- ---------- ---------- ---------- ---------- ---------- ----------
//  Klein2       0.00       0.00       0.00       5.98       6.42       2.49
// *******************************************************************************
// Logo
object {
#include "logo.inc"
rotate <0, 0, 5>  rotate <0, 65, 0>   scale 1.2   translate <-46, -18.8, 60 >
texture { T_Silver_5E }    }
// *******************************************************************************
//   Object    CenterX    CenterY    CenterZ    LengthX    LengthY    LengthZ
// ---------- ---------- ---------- ---------- ---------- ---------- ----------
// Affensattel  0.00       0.00       0.00       2.00       2.00       1.21

// "Affensattel mit Kugel - 1"
object { #include "affe.inc"
	texture { pigment { Blood_Sky } }
    rotate <90, 0, 0>  rotate <0, -80, 0>  rotate <-40, 0, 0>
    scale 4   translate <7, 10, 60 >  }
sphere { <7, 10, 60>  2	texture { pigment { Apocalypse } } }

// "Affensattel mit Kugel - 2"
object { #include "affe.inc"
	texture { pigment { Pine_Wood } }
    rotate <90, 0, 0>  rotate <0, -70, 0>  rotate <-30, 0, 0>
    scale 5   translate <24, 23, 90 >  }
sphere { <24, 23, 90>  2.2	texture { pigment { Jade } } }

// "Affensattel mit Kugel - 3"
object { #include "affe.inc"
	texture { pigment { Y_Gradient } }
    rotate <90, 0, 0>  rotate <0, -60, 0>  rotate <-35, 0, 0>
    scale 4   translate <37, 18, 80>   }
sphere { <37, 18, 80>  2	texture { Rusty_Iron } }

// "Affensattel mit Kugel - 4"
object { #include "affe.inc"
	texture { pigment { X_Gradient } }
    rotate <90, 0, 0>  rotate <0, -75, 0>  rotate <-20, 0, 0>
    scale 5   translate <25, -1, 75>   }
sphere { <25, -1, 75>  2.2	texture { pigment{ Blood_Marble } } }

// *******************************************************************************
camera {
   location  <0.0, 10.0, -20.0>
//   direction <0.0, 0.0,  1.0>
//   up        <0.0, 1.0,  0.0>
//   right     <4/3, 0.0,  0.0>
   look_at   <-3.0, 4.0,  10.0>
   angle 55                    }
// *******************************************************************************
light_source { <-200, 200, -90> colour <1, 1, 1>  }  // Fhrungslicht (links oben)
light_source { <0, 400, 1000> colour rgb <0.8, 0.8, 0.8> }  // Gegenlicht (von vorn)

light_source { <-20, 0, -40> colour <0.3, 0.3, 0.3> }         // schwache
light_source { <5, -15, -40> colour <0.3, 0.35, 0.3> }         // Lichter
light_source { <30, 0, -40> colour <0.3, 0.3, 0.3> }          // von hinten



